var g_persourledit, g_persourldelete, g_persourladd, g_addinfostr, g_issafari;

var funcready = new Array();
function ReadyFunc(func) {
    funcready[funcready.length] = func;
}
function ReadyAll() {
    for (var i = 0; i < funcready.length; i++) {
        funcready[i]();
    }

}

function InitMCDrivers(ltr) {

    $(".mc_driverelem").hover(
            function () {
                $(this).addClass("hover");
            },
            function () {
                $(this).removeClass("hover");
            }
            );
        
    $(".mc_driversbutdownload").hover(
            function () {
                $(this).parent().parent().parent().parent().find(".mc_driversbutdownload").addClass("hoverdis");
                $(this).removeClass("hoverdis");
            },
            function () {
                $(this).parent().parent().parent().parent().find(".mc_driversbutdownload").removeClass("hoverdis");
            }
            );

            var posjson;
            if (ltr)
                posjson = {
                    at: 'left center',
                    my: 'right top',
                    adjust:
                    {
                        x: -5
                    }
                };
            else
                posjson = {
                   at: 'right center',
                      my: 'left top',
                       adjust:
                   {
                    x:5
                    }
            };
                $('.mc_driversbutdownloadsame').qtip({
                    content: {
                        text: $(".mc_mesdriverssamedownloadtext")
                    },
                    show: {
                        event: "mouseenter",
                        effect: function () {
                            $(this).fadeIn('slow');
                        }
                    },
                    hide:
    {
        event: "mouseleave",
        effect: function () {
            $(this).fadeOut('slow');
        }
    },
                    style: {
                        classes: 'ui-tooltip-mc'
                    },
                    position: posjson
                });
    

     $('.mc_driversbutdownloadold').qtip({
            content: {
                text: $(".mc_mesdriversolddownloadtext")
            },
            show: {
                event: "mouseenter",
          effect: function() {
                $(this).fadeIn('slow');
            }
},
    hide:
    {
        event: "mouseleave",
            effect: function() {
                $(this).fadeOut('slow');
            }
    },
            style: {
               classes: 'ui-tooltip-mc'
           },
           position: posjson
                     
        });
    

}

function ReloadMesDrivers(urlpost,ltr) {
    var menuos = $("#menuos").val();
    var menuosactual = $("#mc_driversosactual").val();
    if (menuos != menuosactual) {
        $("#mesdriversoptions_0").attr("disabled", "disabled");
    }
    else {
        $("#mesdriversoptions_0").removeAttr("disabled");
    }
    $.uniform.update();
    var option1 = $("#mesdriversoptions_0").attr('checked')=='checked'?'on':'';
    var option2 = $("#mesdriversoptions_1").attr('checked') == 'checked' ? 'on' : '';
    var option3 = $("#mesdriversoptions_2").attr('checked') == 'checked' ? 'on' : '';
    var option4 = $("#mesdriversoptions_3").attr('checked') == 'checked' ? 'on' : '';
    $.ajax({
        url: urlpost,
        type: 'POST',
        data: {
            menuos: menuos,
            mesdriversoptions1: option1,
            mesdriversoptions2: option2,
            mesdriversoptions3: option3,
            mesdriversoptions4: option4
        }
    }).done(function (data) {
        $("#mc_mcdrivers").html(data);
       InitMCDrivers(ltr);
        ExternalLinks();
    });
}

function ReloadConfig(urlpost, searchkeyword) {

    $.ajax({
        url: urlpost,
        type: 'POST',
        data: {
            searchkeyword: searchkeyword
        }
    }).done(function (data) {
        $("#contenuxml").html(data);
        ExternalLinks();
        $(".selectclair").uniform();
        $('.mc_searchbox')[0].focus();
    });
}

function AjaxLogin(urlpost) 
{
    var username = $("#mc_username").val();
    var password = $("#mc_password").val();
    $.ajax({
        url: urlpost,
        type: 'POST',
        data: {
            mc_username: username,
            mc_password: password
        }
    }).done(function (data) {
         if (data == "true")
                window.location.reload();
            else {
                $("#mc_loginerror").css("display", "block");
            }
    });

}

function GetVersionPlugin() 
{
    var matosactivex = $('#matosactivex');
    if (matosactivex!=null)
        matosactivex = matosactivex.get(0);
    if ((matosactivex!=null)&&(typeof (matosactivex.GetVersion2) != 'undefined'))
        return matosactivex.GetVersion2();
    else 
    {
        if (navigator.plugins == null)
            return "0.0.0.0";
        var mcplug = navigator.plugins["Ma-Config.com plugin"];
        if (mcplug==null)
            return "0.0.0.0";
        var tab = mcplug.description.split("#");
        if ((tab == null)||(tab[2]==null))
            return "0.0.0.0";
        return tab[2].replace(" ", "");
    }
}

function GetPlatformPlugin() 
{
    var matosactivex = $('#matosactivex');
    if (matosactivex != null)
        matosactivex = matosactivex.get(0);
    if ((matosactivex != null) && (typeof (matosactivex.LoadOptions) != 'undefined') && (typeof (matosactivex.GetOption) != 'undefined'))
    {
        matosactivex.LoadOptions();
        return matosactivex.GetOption("platformos");
    }
    else {
        if (navigator.plugins == null)
            return "win";
        var mcplug = navigator.plugins["Ma-Config.com plugin"];
        if (mcplug == null)
            return "win";
        var tab = mcplug.description.split("#");
        if ((tab == null) || (tab[1] == null))
            return "win";
        return tab[1].replace(" ", "").replace(" ", "");
    }
}

var g_licenceplugin="";
var g_urlpost="";
var g_urlupdateplugin="";
var g_miseajourauto = "";
var g_submiturl = "";
var g_lang = "en";
function MCStartDetection() {
    var pluginobj = window.mcplugin;
    pluginobj.LoadOptions().done(function (ret) {
        pluginobj.SetOption("language", g_lang).done(function (ret) {
            pluginobj.SetOptionBool("onlyresume", false).done(function (ret) {
                pluginobj.SetOptionBool("compress", true).done(function (ret) {
                    pluginobj.SetOptionBool("onlylocal", false).done(function (ret) {
                        pluginobj.SetOptionBool("crc32", true).done(function (ret) {
                            pluginobj.SetOptionBool("setcrypt", false).done(function (ret) {
                                pluginobj.SetOptionBool("postmemory", false).done(function (ret) {
                                    pluginobj.SetOptionBool("setbase64", false).done(function (ret) {
                                        pluginobj.SetOptionBool("mcsqliteconf", false).done(function (ret) {
                                            pluginobj.SetOption("mclicence", g_licenceplugin).done(function (ret) {
                                                pluginobj.SetOption("mcurlpost", g_urlpost).done(function (ret) {
                                                    pluginobj.SetOption("updateurl", g_urlupdateplugin).done(function (ret) {
                                                        pluginobj.SetOptionBool("updateauto", g_miseajourauto).done(function (ret) {
                                                            pluginobj.SetOption("cpuidconf", "2147483647").done(function (ret) {
                                                                pluginobj.SetOption("mccurlmethod", "mcplugin.submitconfig2").done(function (ret) {
                                                                    pluginobj.Detecter().done(function (ret2) {

                                                                        if (ret2)
                                                                            pluginobj.SubmitConfig(g_submiturl);
                                                                    });
                                                                });
                                                            });
                                                        });
                                                    });
                                                });
                                            });
                                        });
                                    });
                                });
                            });
                        });
                    });
                });
            });
        });
    });
}

function CompleteDetect() {
    var pluginobj = $('#matosactivex');
    if (pluginobj != null)
        pluginobj = pluginobj.get(0);
	if (pluginobj.AsyncGetResultBool()) {
	      pluginobj.Submit();
	}
}

function MCInitStartDetection(urlpost, licenceplugin, urlupdateplugin, miseajourauto,lang,submiturl)
{
	    g_licenceplugin = licenceplugin;
	    g_urlpost = urlpost;
	    g_urlupdateplugin = urlupdateplugin;
	    g_miseajourauto = miseajourauto;
	    g_submiturl = submiturl;
	    g_lang = lang;
		var contenuxml=$("#contenuxml");
		contenuxml.css("display","none");
		window.scrollTo(0,0);
		window.setTimeout(MCStartDetection, 100);
}

var g_mod="";
var matosactivexupdate=null;
function InitUpdateConfig(mod, urlpost, licenceplugin, urlupdateplugin, lang) {
    g_urlpost = urlpost;
    g_mod = mod;
    window.mcplugin.Init().done(function (init) {
        if (init)
            window.mcplugin.LoadOptions().done(function (ret) {
                window.mcplugin.SetOption("language", lang).done(function (ret) {
                    window.mcplugin.SetOptionBool("onlyresume", false).done(function (ret) {
                        window.mcplugin.SetOptionBool("compress", true).done(function (ret) {
                            window.mcplugin.SetOptionBool("onlylocal", false).done(function (ret) {
                                window.mcplugin.SetOptionBool("crc32", true).done(function (ret) {
                                    window.mcplugin.SetOptionBool("setcrypt", false).done(function (ret) {
                                        window.mcplugin.SetOptionBool("postmemory", false).done(function (ret) {
                                            window.mcplugin.SetOptionBool("setbase64", true).done(function (ret) {
                                                window.mcplugin.SetOptionBool("mcsqliteconf", false).done(function (ret) {
                                                    window.mcplugin.SetOption("mclicence", licenceplugin).done(function (ret) {
                                                        window.mcplugin.SetOption("mcurlpost", urlpost).done(function (ret) {
                                                            window.mcplugin.SetOption("updateurl", urlupdateplugin).done(function (ret) {
                                                                window.mcplugin.SetOption("modules", mod).done(function (ret) {
                                                                    window.mcplugin.SetOptionBool("updateauto", g_miseajourauto).done(function (ret) {
                                                                        window.mcplugin.SetOption("cpuidconf", "65535").done(function (ret) {
                                                                            window.mcplugin.SetOption("mccurlmethod", "mcplugin.submitconfig2").done(function (ret) {
                                                                                window.mcplugin.Detecter().done(function (ret2) {

                                                                                    if (ret2)
                                                                                        DetectUpdateConfig();
                                                                                });
                                                                            });
                                                                        });
                                                                });
                                                            });
                                                        });
                                                    });
                                                });
                                            });
                                        });
                                    });
                                });
                            });
                        });
                    });
                });
            });
        });
    });
		
}

function DetectUpdateConfig()
{

    window.mcplugin.GetXML().done(function (xmldata) {
        $.ajax({
            url: g_urlpost,
            type: 'POST',
            data: {
                xmlconf: xmldata
            }
        }).done(function (data) {
            var conthtml = $("#contenuxml");
            if (data != '') {
               
                conthtml.html(data);
                setTimeout("UpdateConfig();", 0);
            }
        });
    });
}

function AsyncDetectUpdateConfig() {
    matosactivexupdate = $('#matosactivex');
    if (matosactivexupdate != null)
        matosactivexupdate = matosactivexupdate.get(0);
	if (matosactivexupdate.AsyncGetResultBool())
	{
	    var xmldata = matosactivexupdate.GetXml();
	    $.ajax({
	        url: g_urlpost,
	        type: 'POST',
	        data: {
	            xmlconf: xmldata
	        }
	    }).done(function (data) {
	        var conthtml = $("#contenuxml");
	        if (data != "") {
	            conthtml.html(data);
	            if (window.attachEvent)
	                matosactivexupdate.attachEvent('mceventupdatexmlfinish', UpdateConfigResult);
	            else
	                matosactivexupdate.addEventListener('mceventupdatexmlfinish', UpdateConfigResult, false);
	            setTimeout("UpdateConfig();", 0);
	        }
	    });
	}
}

function UpdateConfig() 
{
  
    window.mcplugin.GetUpdateXML(g_mod).done(function (base64xml) {
        if (base64xml == "")
            return;
        var xml = $.base64().decode(base64xml);
        if (xml == "")
            return;
        if (window.DOMParser) {
            parser = new DOMParser();
            xmlDoc = parser.parseFromString(xml, "text/xml");
        }
        else {
            xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
            xmlDoc.async = "false";
            xmlDoc.loadXML(xml);
        }
        $(xmlDoc).find('mcupdateid').each(function () {
            var id = $(this).attr('id');
            var value = ($(this).text());
            var elem = $('#' + id);
            if (elem)
                elem.html(value);
        });
        setTimeout("UpdateConfig();", 1000);
    });
}

function UpdateConfigResult()
{
    matosactivexupdate = $('#matosactivex');
    if (matosactivexupdate != null)
        matosactivexupdate = matosactivexupdate.get(0);
 if (typeof (matosactivexupdate.AsyncGetUpdateXML) !='undefined')
var xml=matosactivexupdate.AsyncGetResultString();
else
var xml= matosactivexupdate.GetUpdateXML(g_mod);
if (xml=="")
{
	return;
}
	if (window.DOMParser)
	{
		parser=new DOMParser();
		xmlDoc=parser.parseFromString(xml,"text/xml");
	}
	else
	{
	
		xmlDoc=new ActiveXObject("Microsoft.XMLDOM");
		xmlDoc.async="false";
		xmlDoc.loadXML(xml); 
		
	}
	
	$(xmlDoc).find('mcupdateid').each(function(){
	var id = $(this).attr('id');
	var value = ($(this).text());
	var elem=$('#'+id);
	if (elem)
		elem.html(value);
		
		
});
	setTimeout("UpdateConfig();",1000);
}

function preloadImages() 
{
	var d=document;
	if(d.images)
	{
		if(!d.p) 
			d.p=new Array();
		var i,j=d.p.length,a=preloadImages.arguments; for(i=0; i<a.length; i++)
		if (a[i].indexOf("#")!=0)
		{ 
			d.p[j]=new Image; d.p[j++].src=a[i];
		}
	}

}


function MCDeplierFaq(id) {

    var section = $("#mc_faqidresponse" + id);
    var img = $("#mc_faqidbut" + id);
    var curelem = img.parent().parent();
    if (curelem.hasClass("mc_faqdeplier"))
        curelem.removeClass("mc_faqdeplier");
    else
        curelem.addClass("mc_faqdeplier");
    if (img.hasClass("mc_faqbutplus"))
		{
		    section.css("display", "block");
		    img.removeClass("mc_faqbutplus");
		    img.addClass("mc_faqbutmoins");
	}
	else
	{
	    section.css("display", "none");
	    img.removeClass("mc_faqbutmoins");
	    img.addClass("mc_faqbutplus");
		
	}
}

function GetFileSize(fileInput) 
{
    if (fileInput == null)
        return 0;
    if (navigator.appName == "Microsoft Internet Explorer") {
        if (fileInput.attr("value")!="") {
            var oas = new ActiveXObject("Scripting.FileSystemObject");
           
            if (oas != null) {
                var e = oas.getFile(fileInput.attr("value"));
                if (e!=null)
                return e.size;
            }
        }
    }
    else {
        if ((fileInput.files!=null)&&(fileInput.files[0]!=null))
            return fileInput.files[0].size;
    }
    return 0;
}

function ExternalLinks() {
    $('a[rel*=external]').off("click");
    $('a[rel*=external]').click(function () {
        window.open(this.href);
        return false;
    });
}


function tablecellie7bug() {
    if ($.browser.msie && $.browser.version == 7) {
        $(".tablecell").wrap("<td />");
        $(".tablerow").wrap("<tr />");
        $(".table").wrapInner("<table/>");
    }
}

function MCLoginDialog() {

    $("#mc_logindialog").dialog({ "modal": true, "width": 404, "height": "auto", "resizable": false, "autoOpen": false, "show": {
        effect: "fade",
        duration: 500
    },

    "hide":
    {
     effect: "fade",
        duration: 500
    }
       /* "close": function (event, ui) {
             $(this).remove();
        }*/
});
    $("#mc_logindialog").dialog("open").dialog("widget").css("visibility", "hidden");
    $("#mc_connexionlink").effect("transfer", {
        to: $("#mc_logindialog").dialog("widget"),
        className: "ui-effects-transfer",
        duration: 300
    }, 300, function () {
        $("#mc_logindialog").dialog("widget").css("visibility", "visible");
        $("#mc_logindialog").dialog("option", "position", "center"); 
        MCInitLogin();
    });
    $(window).resize(function () {
        $("#mc_logindialog").dialog("option", "position", "center");
    });
    /*"close": function (event, ui) { $(this).dialog("widget").effect("transfer", { to: $("#mc_connexionlink"), className: "ui-effects-transferx" }, 1000, function() {

                $(this).remove();

            }););*/
}

function MCInitLogin() {
    if ($("#mc_username").val() != "")
        $("#mc_username").parent().addClass("hasome");
    else
        $("#mc_username").parent().removeClass("hasome");

    if ($("#mc_password").val() != "")
        $("#mc_password").parent().addClass("hasome");
    else
        $("#mc_password").parent().removeClass("hasome");
    $("#mc_username").focus();
}

function SwitchMesDriversInfos(elem) {
    $(elem).parent().parent().find(".mc_driverstabinfos").toggleClass("mc_driverstabinfosshow");
    var butinfos = $(elem).find(".mc_butdriversplusinfos");
    if (butinfos.hasClass("mc_butdriversmoinsinfos"))
        butinfos.removeClass("mc_butdriversmoinsinfos");
    else
        butinfos.addClass("mc_butdriversmoinsinfos");
}

function MCPersoInitEdit(elem, id) {
    var parent = elem.parent();
    if (!parent.hasClass("mc_modeedit")) {
        var newhtml = '';
        newhtml += '<input type="text" value="';
        newhtml += parent.children(".mcpersoelemtitre").html();
        newhtml += '"/>';
        parent.children(".mcpersoelemtitre").html(newhtml);
        parent.children(".mcpersoelemcontenu").children(".mcdeleteperso").remove(); 
        newhtml = '<input type="text" value="';
        newhtml += parent.children(".mcpersoelemcontenu").html();
        newhtml +='"/>';
        newhtml += '<a href="#"  class="mcvalidateperso" id="mcvalidateperso_' + id + '"><span class="mcpersovalidatebut"></span></a>';
        parent.children(".mcpersoelemcontenu").html(newhtml);
        elem.children("input").focus();
        parent.addClass("mc_modeedit");
        $(".mcpersoline .mcpersoelemtitre").click(function (e) {
            var id = $(this).parent().attr("id");
            id = id.replace("persolineid_", "");
            MCPersoInitEdit($(this), id);
            return false;
        });
        $(".mcpersoline .mcpersoelemcontenu").click(function (e) {
            var id = $(this).parent().attr("id");
            id = id.replace("persolineid_", "");
            MCPersoInitEdit($(this), id);
            return false;
        });
        $(".mcvalidateperso").click(function (e) {
            MCPersoValidate($(this).parent().parent());
            return false;
        });
        $('.mc_modeedit .mcpersoelemcontenu input').keydown(function (event) {
            if (event.which == 13) {
                MCPersoValidate($(this).parent().parent());
            }
        });
        $('.mc_modeedit .mcpersoelemtitre input').keydown(function (event) {
            if (event.which == 13) {
                MCPersoValidate($(this).parent().parent());
            }
        });
    }
}

function MCConfPersoAjaxGetResponse(xml) {
    var contenutab='';
    for (var i=0;i<xml.length;i++)
    {
        var titre=xml[i].titre;
        var id=xml[i].id;
        var contenu = xml[i].contenu;
        contenutab += '<tr class="mcpersoline" id="persolineid_' + id + '">';
        if (i % 2 == 1)
        {
            contenutab += '<td id="mctitreperso_' + id + '" class="titreconfimpair mcpersoelemtitre">';
        }
        else
        {
            contenutab += '<td id="mctitreperso_' + id + '" class="titreconfpair mcpersoelemtitre">';
        }
        contenutab+=titre;
        contenutab+='</td>';
        contenutab+='<td'; 
        if (i % 2 == 1)
        {
            contenutab += ' id="mccontperso_' + id + '" class="dataconfimpair mcpersoelemcontenu"';
        }
        else
        {
            contenutab += ' id="mccontperso_' + id + '"  class="dataconfpair mcpersoelemcontenu"';
        } 
        contenutab+='>';
        contenutab += contenu;
        contenutab += '<a href="#"  class="mcdeleteperso" id="mcdelperso_' + id + '"><span class="mcpersodeletebut"></span></a>';
       contenutab += '</td></tr>';
   }
   contenutab += '<tr>';
   if (i % 2 == 1) {
       contenutab += '<td id="mcpersoaddlineid_'+i+'"  class="titreconfimpair mcpersoaddline">';
   }
   else {
       contenutab += '<td id="mcpersoaddlineid_'+i+'" class="titreconfpair mcpersoaddline">';
   }
   contenutab += '<a href="#" class="mc_persoaddbutton">' + g_addinfostr + '</a>';
   contenutab += '</td><td';
   if (i % 2 == 1) {
       contenutab += ' class="dataconfimpair"';
   }
   else {
       contenutab += ' class="dataconfpair"';
   }
   contenutab += '></td></tr>';
    return contenutab;
}

function MCPersoAddLine(elem, i) {
    var htmlvide = '<tr class="mc_modeedit">';
      if (i % 2 == 1)
        {
            htmlvide += '<td id="mctitreperso_0" class="titreconfimpair mcpersoelemtitre">';
        }
        else
        {
            htmlvide += '<td id="mctitreperso_0" class="titreconfpair mcpersoelemtitre">';
        }
        htmlvide += '<input type="text" value=""/></td>';
        if (i % 2 == 1) {
            htmlvide += '<td id="mccontperso_0" class="dataconfimpair mcpersoelemcontenu">';
        }
        else {
            htmlvide += '<td id="mccontperso_0"  class="dataconfpair mcpersoelemcontenu">';
        }
        htmlvide += '<input type="text" value=""/>';
        htmlvide +='<a href="#"  class="mcvalidateperso" id="mcvalidateperso_0"><span class="mcpersovalidatebut"></span></a>';
        htmlvide +='</td></tr>';


        var parent = elem.parent().parent();
        var persolines = parent.parent().find(".mcpersoaddline").parent();
        $(persolines).before(htmlvide);
       
    var addinfo = '';
    i++;
    if (i % 2 == 1) {
        addinfo += '<td id="mcpersoaddlineid_'+i+'" class="titreconfimpair mcpersoaddline">';
    }
    else {
        addinfo += '<td id="mcpersoaddlineid_'+i+'" class="titreconfpair mcpersoaddline">';
    }
    addinfo += '<a href="#" class="mc_persoaddbutton">' + g_addinfostr + '</a>';
    addinfo += '</td><td ';
    if (i % 2 == 1) {
        addinfo += ' class="dataconfimpair"';
    }
    else {
        addinfo += ' class="dataconfpair"';
    }
    addinfo += '></td>';
    parent.find(".mcpersoaddline").parent().html(addinfo);
    parent.find("#mctitreperso_0").children("input").focus();
    $(".mcvalidateperso").click(function (e) {
        MCPersoValidate($(this).parent().parent());
        return false;
    });
    $(".mcpersoaddline").click(function (e) {
        var id = $(this).attr("id");
        id = id.replace("mcpersoaddlineid_", "");
        MCPersoAddLine($(this), id);
        return false;
    });
    $(".mcdeleteperso").click(function (e) {
        MCPersoDeleteLine($(this));
        return false;
    });
    $(".mcpersoline .mcpersoelemtitre").click(function (e) {
        var id = $(this).parent().attr("id");
        id = id.replace("persolineid_", "");
        MCPersoInitEdit($(this), id);
        return false;
    });
    $(".mcpersoline .mcpersoelemcontenu").click(function (e) {
        var id = $(this).parent().attr("id");
        id = id.replace("persolineid_", "");
        MCPersoInitEdit($(this), id);
        return false;
    });

    $('.mc_modeedit .mcpersoelemcontenu input').keydown(function (event) {
        if (event.which == 13) {
            MCPersoValidate($(this).parent().parent());
        }
    });
    $('.mc_modeedit .mcpersoelemtitre input').keydown(function (event) {
        if (event.which == 13) {
            MCPersoValidate($(this).parent().parent());
        }
    });
    
}

function MCPersoValidate(elem) {
    var datapost =   new Object();
    var i = 0;
    elem.parent().children(".mc_modeedit").each(function () {

        var titre = $(this).children(".mcpersoelemtitre").children("input").val();
        var contenu = $(this).children(".mcpersoelemcontenu").children("input").val();
        var id = $(this).children(".mcpersoelemcontenu").children(".mcvalidateperso").attr("id").replace("mcvalidateperso_", "");
        datapost['idconf_' + i]= id;
        datapost['titreconf_' + i]= titre;
        datapost['contenuconf_' + i]= contenu;
        i++;

        $(this).removeClass("mc_modeedit");
    });
     datapost['nbconfs']=i;
    $.ajax({
        url: g_persourladd,
        type: 'POST',
        data: datapost,
        datatype: 'json'
    }).done(function (data) {
        var cont = MCConfPersoAjaxGetResponse(data);
        elem.parent().html(cont);

        $(".mcvalidateperso").click(function (e) {
            MCPersoValidate($(this).parent().parent());
            return false;
        });
        $(".mcpersoaddline").click(function (e) {
            var id = $(this).attr("id");
            id = id.replace("mcpersoaddlineid_", "");
            MCPersoAddLine($(this), id);
            return false;
        });
        $(".mcdeleteperso").click(function (e) {
            MCPersoDeleteLine($(this));
            return false;
        });
        $(".mcpersoline .mcpersoelemtitre").click(function (e) {
            var id = $(this).parent().attr("id");
            id = id.replace("persolineid_", "");
            MCPersoInitEdit($(this), id);
            return false;
        });
        $(".mcpersoline .mcpersoelemcontenu").click(function (e) {
            var id = $(this).parent().attr("id");
            id = id.replace("persolineid_", "");
            MCPersoInitEdit($(this), id);
            return false;
        });
    });
    
}

function MCPersoDeleteLine(elem) {
 var id = elem.attr("id");
 id = id.replace("mcdelperso_", "");
 urldeletereplace = g_persourldelete.replace("42568", id);

 $.ajax({
     url: urldeletereplace,
     type: 'POST',
     data: null,
     datatype: 'json'
 }).done(function (data) {
     var cont = MCConfPersoAjaxGetResponse(data);
     var parent = elem.parent().parent().parent();
     parent.html(cont);

     $(".mcvalidateperso").click(function (e) {
         MCPersoValidate($(this).parent().parent());
         return false;
     });
     $(".mcpersoaddline").click(function (e) {
         var id = $(this).attr("id");
         id = id.replace("mcpersoaddlineid_", "");
         MCPersoAddLine($(this), id);
         return false;
     });
     $(".mcdeleteperso").click(function (e) {
         MCPersoDeleteLine($(this));
         return false;
     });
     $(".mcpersoline .mcpersoelemtitre").click(function (e) {
         var id = $(this).parent().attr("id");
         id = id.replace("persolineid_", "");
         MCPersoInitEdit($(this), id);
         return false;
     });
     $(".mcpersoline .mcpersoelemcontenu").click(function (e) {
         var id = $(this).parent().attr("id");
         id = id.replace("persolineid_", "");
         MCPersoInitEdit($(this), id);
         return false;
     });
 });
}

function MCPersoInit(addinfostr, urledit, urldelete, urladd) {
    g_persourledit = urledit;
    g_persourldelete = urldelete;
    g_persourladd = urladd;
    g_addinfostr = addinfostr;
}

function MCConfigurateurDialog(urlinit) {
    windowHeight = $(window).height() - 100;
    $("#mc_configurateurdialog").dialog({ "modal": true, "width": 620, "height": windowHeight, "resizable": false, "autoOpen": true,
        open: function () {
            $(this).load(urlinit, function () {
                    $("#mc_configurateurdialog").dialog("option", "position", "center");
                });
                },
        "show": {
            effect: "fade",
            duration: 500
        },

        "hide":
    {
        effect: "fade",
        duration: 500
    }
});
$(window).resize(function () {
    $("#mc_configurateurdialog").dialog("option", "position", "center");
});
}

function MCdeplierConfigurateur(elem) {
    if (elem.children("span").hasClass("mc_configurateurbutplier")) {
        elem.children("span").addClass("mc_configurateurbutdeplier");
        elem.children("span").removeClass("mc_configurateurbutplier");
        elem.siblings(".mcconfigurateurfeatures").addClass("hide");
    }
    else {
        elem.children("span").addClass("mc_configurateurbutplier");
        elem.children("span").removeClass("mc_configurateurbutdeplier");
        elem.siblings(".mcconfigurateurfeatures").removeClass("hide");
    }
}

function MCChangeMode(elem, idmod,init) {
    var mode = elem.children("span").attr("class").replace("mcconfigurateurmode", "");
    if (!init) {
        mode++;
        if (mode == 3)
            mode = 0;
    }
    $("#"+idmod).val(mode);
    if (mode == 2) {
        if (elem.parent().siblings(".mcconfigurateurfeatures").hasClass("hide"))
        elem.parent().siblings(".mcconfigurateurfeatures").removeClass("hide");
    elem.parent().siblings(".mcconfigurateurfeatures").find("tr").each(function () {
        $(this).find("input.checkbox").attr('checked', 'checked');
        $(this).find("input.checkbox").attr('disabled', 'disabled');
        $(this).find("input:hidden").val("on");
    });
    }
   else if (mode == 1) {
       if (elem.parent().siblings(".mcconfigurateurfeatures").hasClass("hide"))
           elem.parent().siblings(".mcconfigurateurfeatures").removeClass("hide");
       elem.parent().siblings(".mcconfigurateurfeatures").find("tr").each(function () {
           $(this).find("input.checkbox").removeAttr('disabled');
       });
    }
   else if (mode == 0) {
       if (!elem.parent().siblings(".mcconfigurateurfeatures").hasClass("hide"))
        elem.parent().siblings(".mcconfigurateurfeatures").addClass("hide");
    }
   elem.children("span").attr("class", "mcconfigurateurmode" + mode);
   var hide = elem.parent().siblings(".mcconfigurateurfeatures").hasClass("hide");
   if (hide) {
       elem.siblings("a").children("span").addClass("mc_configurateurbutdeplier");
       elem.siblings("a").children("span").removeClass("mc_configurateurbutplier");
   }
   else {
       elem.siblings("a").children("span").addClass("mc_configurateurbutplier");
       elem.siblings("a").children("span").removeClass("mc_configurateurbutdeplier");
   }
    $.uniform.update();
}

function MCChangePublishState(elem,urlpostpublish, emp) {
    var hascheck = elem.children("span").hasClass("mcpublishcheck");
    if (hascheck) 
    {
        elem.children("span.mcpublishcheck").addClass("mcpublishnocheck");
        elem.children("span.mcpublishcheck").removeClass("mcpublishcheck");
    }
    else {
        elem.children("span.mcpublishnocheck").addClass("mcpublishcheck");
        elem.children("span.mcpublishnocheck").removeClass("mcpublishnocheck");
    }
    $.ajax({
        url: urlpostpublish,
        type: 'POST',
        data: {
            ispublish: !hascheck
        },
        datatype: 'json'
    }).done(function (data) {
        $("#mcpublishliendirect").val(data[0][0]);
        $("#mcpublishlienbbcode").val(data[0][1]);
        $("#mcpublishlienhtml").val(data[0][2]);
        if (data[1][0] == "") {
            $("#mcfacebook").children("span").addClass("mcpublierbutsocialdesac");
            $("#mcfacebook").off("click");
            $("#mcfacebook").click(function () { return false; });
            $("#mcfacebook").removeAttr("rel");
        }
        else {
            $("#mcfacebook").children("span").removeClass("mcpublierbutsocialdesac");
            $("#mcfacebook").attr("rel", "external");
        }
        $("#mcfacebook").attr("href", data[1][0]);
        if (data[1][1] == "") {
            $("#mctwitter").children("span").addClass("mcpublierbutsocialdesac");
            $("#mctwitter").off("click");
            $("#mctwitter").click(function () { return false; });
            $("#mctwitter").removeAttr("rel");
        }
        else {
            $("#mctwitter").children("span").removeClass("mcpublierbutsocialdesac");
            $("#mctwitter").attr("rel", "external");
        }
        $("#mctwitter").attr("href", data[1][1]);
        if (data[1][2] == "") {
            $("#mcgoogleplus").children("span").addClass("mcpublierbutsocialdesac");
            $("#mcgoogleplus").off("click");
            $("#mcgoogleplus").click(function () { return false; });
            $("#mcgoogleplus").removeAttr("rel");
        }
        else {
            $("#mcgoogleplus").children("span").removeClass("mcpublierbutsocialdesac");
            $("#mcgoogleplus").attr("rel", "external");
        }
        $("#mcgoogleplus").attr("href", data[1][2]);
        $("#mcpdf").attr("href", data[1][3]);
        if (data[1][4] == "") {
            $("#mcemail").children("span").addClass("mcpublierbutsocialdesac");
            $("#mcemail").off("click");
            $("#mcemail").click(function () { return false; });
            $("#mcemail").removeAttr("rel");
        }
        else {
            $("#mcemail").children("span").removeClass("mcpublierbutsocialdesac");
            $("#mcemail").attr("rel", "external");
        }
        $("#mcemail").attr("href", data[1][4]);
        ExternalLinks();
    });
}

function MCConfigurateurCheck(elem) {
    var id = "hidden_" + elem.attr("id");
    var hidden = $("#" + id);
    if (elem.attr("checked")=="checked")
        hidden.val("on");
    else
        hidden.val("");
return true;

}

function MCPublishDialog(urlinit) {
    windowHeight = 340;
    $("#mc_publishdialog").dialog({ "modal": true, "width": 540, "height": windowHeight, "resizable": false, "autoOpen": true,
        open: function () {
            $(this).load(urlinit);
        },
        "show": {
            effect: "fade",
            duration: 500
        },

        "hide":
    {
        effect: "fade",
        duration: 500
    }
    });
}

function MCOptionSettingsCheckAll() {
    $(".mc_optionssettingstable").find("input.checkbox").each(function () {
        $(this).attr("checked", "checked");
    });
    $.uniform.update();
}

function MCOptionSettingsCheckNone() {
    $(".mc_optionssettingstable").find("input.checkbox").each(function () {
        $(this).removeAttr("checked");
    });
    $.uniform.update();
}

function MCSendOptionsSettings(urlpostpublishsettings) {
    var pageall = "";
    $(".mc_optionssettingstable").find("input.checkbox").each(function () {
    if ($(this).attr("checked")=="checked")
    {
        var page = $(this).attr("id").replace("checkidpage_", "");
        pageall += page + ",";
        }
    });
    $.ajax({
        url: urlpostpublishsettings,
        type: 'POST',
        data: {
            pageall: pageall
        },
        datatype: 'json'
    }).done(function (data) {
    });
    $("#mc_publishdialog").dialog("close");
}

function MCAfficherAvertissements(urlajaxbarreconnexion,name, type,show) {
    $.ajax({
        url: urlajaxbarreconnexion,
        type: 'POST',
        data: {
            name: name,
            type: type,
            show: show?"true":"false"
        }
    }).done(function (data) {
        $(".barretitreemprightright").html(data);
    });
}

function MCSignaturePageDialog(urlpage,title,width,height,postvars) {
    $("#mc_signaturedialog").dialog({ "modal": true, title: title, "width": width, "resizable": false, "autoOpen": true,
        open: function () {
            $(this).load(urlpage, postvars, function (response, status, xhr) {
                $("#mc_signaturedialog").dialog("option", "position", 'center');
            });
        },
        "show": {
            effect: "fade",
            duration: 500
        },

        "hide":
    {
        effect: "fade",
        duration: 500
    }
    });
$(window).resize(function () {
    $("#mc_signaturedialog").dialog("option", "position",'center');
});
}

function MCSignaturePage2Dialog(urlpage,title,emp,width) {
    $("#mc_signaturedialog").load(urlpage, { emp: emp }, function () { $("#mc_signaturedialog").dialog("option", "title", title); $("#mc_signaturedialog").dialog("option", "width", width); $("#mc_signaturedialog").dialog("option", "position", "center"); });
}

function MCSignaturePage3Dialog(urlpage, title, postvars, width) {
    $("#mc_signaturedialog").load(urlpage, postvars, function () { $("#mc_signaturedialog").dialog("option", "title", title); $("#mc_signaturedialog").dialog("option", "width", width); $("#mc_signaturedialog").dialog("option", "position", "center"); });
}

function getRadioValue(namerad) {
    radio = document.getElementsByName(namerad);

    for (var i = 0; i < radio.length; i++) {
        if (radio[i].checked)
            return (radio[i].value);
    }
    return -1;
}

function RefreshEditPageAjax(urlpost,police,sizepolice,color,signtexte)
{
 $.ajax({
        url: urlpost,
        type: 'POST',
        data: {
            mcsignedit_police: police,
            mcsignedit_sizepolice: sizepolice,
            mcsignedit_color: color,
            mcsignedit_signtexte: signtexte
        }
    }).done(function (data) {
        $("#mcsign_editcontenu").html(data);
    });
}



//ReadyFunc(tablecellie7bug);