﻿var gmcframe = 1;

function MCPlugin(ipwebsocket, port,porttls,modesecure, waitmsg, m_reloadmsg)
{
    this.m_webbsocket = null;
    if (ipwebsocket == "127.0.0.1") {
        if (modesecure)
            this.m_url = "wss://" + "me-config.com" + ":" + porttls + "/MCPlugin";
        else
            this.m_url = "ws://" + ipwebsocket + ":" + port + "/MCPlugin";
    }
    else
        this.m_url = "ws://" + ipwebsocket + ":" + port + "/MCPlugin";
    this.m_callbacks = {};
    this.m_urlsubmit = "";
    this.m_idframe = gmcframe++;
    this.m_webbsocket = null;
    this.m_waitmsg = waitmsg;
    this.m_reloadmsg = m_reloadmsg;
    this.m_timeout = 5000;
    this.m_idpacket = 0;
}

MCPlugin.prototype = {

    htmlSpecialChars:function(unsafe) {
    return unsafe
    .replace(/&/g, "&amp;")
    .replace(/</g, "&lt;")
    .replace(/>/g, "&gt;")
    .replace(/"/g, "&quot;");
},

    InitUpdate:function()
    {
        this.Close();
        this.Init().done(function (ret) {
            if (ret) {
                window.mcplugin.Close();
                window.location.reload();
            }
            else {
                window.mcplugin.Close();
                window.mcplugin.Init().done(function (ret2) {
                    if (ret2) {
                        window.mcplugin.Close();
                        window.location.reload();
                    }
                    else {
                        window.mcplugin.Close();
                        window.mcplugin.Init().done(function (ret3) {
                            if (ret3) {
                                window.mcplugin.Close();
                                window.location.reload();
                            }
                            else {
                                window.mcplugin.Close();
                                window.mcplugin.Init().done(function (ret4) {
                                    if (ret4) {
                                        window.mcplugin.Close();
                                        window.location.reload();
                                    }
                                    else {
                                        $("#mcpluginmilieu" + window.mcplugin.m_idframe + " .pluginprogress").progressbar("value", parseInt(100));
                                        $("#mcpluginmilieu" + window.mcplugin.m_idframe + " .plugindesc").html("<a href='' onclick='window.location.reload();return false;'>" + mcplugin.m_reloadmsg + "</a>");
                                    }
                                });
                            }
                        });
                    }
                });
            }
        });
    },
    UpdateCallBack: function (pourcentage, desc, hostname) 
    {
        if (desc == "updateplugindone") 
        {
             this.Close();
            $("#mcpluginmilieu" + window.mcplugin.m_idframe + " .pluginprogress").progressbar("value", parseInt(100));
           // $("#mcpluginmilieu" + window.mcplugin.m_idframe + " .plugindesc").html(this.m_waitmsg);
            window.setTimeout("window.mcplugin.InitUpdate();", 8000);
        }
            else 
            {
            $("#mcpluginmilieu" + this.m_idframe + " .pluginprogress").progressbar("value", parseInt(pourcentage));
            $("#mcpluginmilieu" + this.m_idframe + " .plugindesc").html(hostname + ": " + desc);
        }
    },
    SubmitConfigRet: function (idconfig) {
        if ((idconfig != "") & ((idconfig != "0"))) {
            var urlconfig = this.m_urlsubmit.replace("idconfig", idconfig);
            this.Close();
            window.location.href = urlconfig;
        }
    },
    Close: function () {
        if (this.m_webbsocket != null) {
            if (this.m_webbsocket.readyState == 1)
            this.m_webbsocket.close();
            this.m_webbsocket = null;
        }
    },

    IsConnect: function()
    {
        if (window.mcplugin == null)
            return false;
        if (window.mcplugin.m_webbsocket == null)
            return false;
        return (window.mcplugin.m_webbsocket.readyState == 1);
    },
    Init: function () {
        this.m_idpacket = 0;
        var dfdinit = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfdinit };
        this.m_idpacket++;
        var _self = this;
        if (this.m_idframe >= 2)
            $("#pluginzone .pluginmilieu").after("<div class='pluginmilieu' id='mcpluginmilieu" + this.m_idframe + "'><div class='plugindesc' >"+ this.m_waitmsg+"</div><div class='pluginprogress'></div></div>");
        $("#mcpluginmilieu" + this.m_idframe + " .pluginprogress").progressbar({ value: 0 });
       if (WebSocket.__addTask)
            WebSocket.__addTask(function () {
                window.setTimeout(function () {
                    if (window.mcplugin.IsConnect()) return; window.mcplugin.Close(); if (window.mcplugin.m_callbacks.hasOwnProperty(0)) {
                        var auxdfd = window.mcplugin.m_callbacks[0].cb;
                        auxdfd.resolve(false);
                    }
        }, window.mcplugin.m_timeout)
            });
        else
            window.setTimeout(function () {
                if (window.mcplugin.IsConnect()) return; window.mcplugin.Close(); if (window.mcplugin.m_callbacks.hasOwnProperty(0)) {
                    var auxdfd = window.mcplugin.m_callbacks[0].cb;
                    auxdfd.resolve(false);
                }
          }, window.mcplugin.m_timeout);
       
        
        this.m_webbsocket = new WebSocket(this.m_url);
    
        this.m_webbsocket.onopen = function (evt) {
            if (window.mcplugin.m_callbacks.hasOwnProperty(0)) {
                var auxdfd = window.mcplugin.m_callbacks[0].cb;
                auxdfd.resolve(window.mcplugin.IsConnect());
            }
        };
        this.m_webbsocket.onmessage = function (evt) {

            var received_msg = evt.data;
            //alert(received_msg);
          //  alert(received_msg);
                var xml = $.parseXML(received_msg);
                $xml = $(xml);
                methodname = $xml.find('mcmethodname').text();
                var idorder = $xml.find('mcidorder').text();
                if (methodname == "SetOption") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "GetOption") {
                    var parret = $xml.find('mcparret').text();
                    var parret2 = $xml.find('mcparret2').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret,parret2);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "Detecter") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "GetXML") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "GetHTML") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "GetUpdateXML") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "LoadOptions") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "SaveOptions") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						 delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "InitOptions") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "GetVersionPlugin") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "GetPlatformPlugin") {
                    var parret = $xml.find('mcparret').text();
                    if (window.mcplugin.m_callbacks.hasOwnProperty(idorder)) {
                        var auxdfd = window.mcplugin.m_callbacks[idorder].cb;
                        auxdfd.resolve(parret);
						delete window.mcplugin.m_callbacks[idorder];
                    }
                }
                else if (methodname == "updatecallback") {
                    var par1 = $xml.find('mcpar1').text();
                    var par2 = $xml.find('mcpar2').text();
                    var par3 = $xml.find('mcpar3').text();
                    window.mcplugin.UpdateCallBack(par1, par2, par3);
                }
                else if (methodname == "SubmitConfig") {
                    var mcparret = $xml.find('mcparret').text();
                    window.mcplugin.SubmitConfigRet(mcparret);
                }
            };
        this.m_webbsocket.onclose = function (event) {
            };
        this.m_webbsocket.onerror = function (event) {
        };
            return dfdinit.promise();
        
    },
    SetOption: function (name, value) {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        
        xmlret+="<mcmethodname>SetOption</mcmethodname>";
        xmlret+="<mcpar1>";
        xmlret+=name;
        xmlret+="</mcpar1>";
        xmlret += "<mcpar2>";
        xmlret += this.htmlSpecialChars(value);
        xmlret += "</mcpar2>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    GetOption: function (name) {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>GetOption</mcmethodname>";
        xmlret += "<mcpar1>";
        xmlret += name;
        xmlret += "</mcpar1>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    SetOptionBool: function (name, value) {
        if (value)
            return window.mcplugin.SetOption(name, "true");
        else
            return window.mcplugin.SetOption(name, "false");
    },
    LoadOptions: function () {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>LoadOptions</mcmethodname>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    SaveOptions: function () {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>SaveOptions</mcmethodname>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    InitOptions: function () {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>InitOptions</mcmethodname>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    GetVersionPlugin: function () {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>GetVersionPlugin</mcmethodname>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    GetPlatformPlugin: function () {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>GetPlatformPlugin</mcmethodname>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    Detecter: function () {
    var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
    xmlret += "<mcrpc>";
    xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
    xmlret += "<mcmethodname>Detecter</mcmethodname>";
    xmlret += "</mcrpc>";
    var dfd = $.Deferred();
    this.m_callbacks[this.m_idpacket] = { cb: dfd };
    this.m_idpacket++;
    this.m_webbsocket.send(xmlret);
    return dfd.promise();
    },
    GetXML: function () {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>GetXML</mcmethodname>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    GetUpdateXML: function (mod) {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>GetUpdateXML</mcmethodname>";
        xmlret += "<mcpar1>";
        xmlret += mod;
        xmlret += "</mcpar1>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    SubmitConfig: function (url) {
        this.m_urlsubmit=url;
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>SubmitConfig</mcmethodname>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    },
    GetHTML: function () {
        var xmlret = "<?xml version='1.0' encoding='UTF-8' standalone='yes'?>";
        xmlret += "<mcrpc>";
        xmlret += "<mcidorder>" + this.m_idpacket + "</mcidorder>";
        xmlret += "<mcmethodname>GetHTML</mcmethodname>";
        xmlret += "</mcrpc>";
        var dfd = $.Deferred();
        this.m_callbacks[this.m_idpacket] = { cb: dfd };
        this.m_idpacket++;
        this.m_webbsocket.send(xmlret);
        return dfd.promise();
    }
}


